﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using JXSoft;
using LitJson;
using System;

public class UDPExample : MonoBehaviour,IUDPClient
{
    // Start is called before the first frame update
    void Start()
    {
        this.RegisterMessageEvent<UResponseTest>(e =>
        {
            Debug.Log(e.msg);
        });
        this.onReceive<UResponseTest>();
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
public struct UResponseTest:IResponse {
    public string msg;
    public bool trySetData(string protolData)
    {
        try
        {
            UResponseTest res = JsonMapper.ToObject<UResponseTest>(protolData);
            if (!this.isTypeOfJson(protolData))
            {
                return false;
            }
            else {
                this.msg = res.msg;
            }
            return true;
        }
        catch (Exception e) {
            Debug.Log(e);
            return false;
        }
    }

    public string toProtocolData()
    {
        return "";
    }
}
